/*
 * The contents of this file are subject to the Mozilla Public License Version 1.1
 * (the "License"); you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at <http://www.mozilla.org/MPL/>.
 * 
 * Software distributed under the License is distributed on an "AS IS" basis, WITHOUT
 * WARRANTY OF ANY KIND, either express or implied. See the License for the specific
 * language governing rights and limitations under the License.
 * 
 * The Original Code is the Venice Web Communities System.
 * 
 * The Initial Developer of the Original Code is Eric J. Bowersox <erbo@silcom.com>,
 * for Silverwrist Design Studios.  Portions created by Eric J. Bowersox are
 * Copyright (C) 2002 Eric J. Bowersox/Silverwrist Design Studios.  All Rights Reserved.
 * 
 * Contributor(s): 
 */
package com.silverwrist.dynamo.app;

import org.w3c.dom.*;
import com.silverwrist.util.xml.*;

public class RewriteRule
{
  /*--------------------------------------------------------------------------------
   * Attributes
   *--------------------------------------------------------------------------------
   */

  private String m_name;
  private boolean m_encode;
  private String m_template;

  /*--------------------------------------------------------------------------------
   * Constructor
   *--------------------------------------------------------------------------------
   */

  RewriteRule(Element elt) throws XMLLoadException
  {
    XMLLoader loader = XMLLoader.get();
    m_name = loader.getAttribute(elt,"type").trim().toUpperCase();
    m_encode = loader.getAttributeBoolean(elt,"encode");
    m_template = loader.getText(elt);

  } // end constructor

  /*--------------------------------------------------------------------------------
   * Public getters
   *--------------------------------------------------------------------------------
   */

  public String getName()
  {
    return m_name;

  } // end getName

  public boolean getEncode()
  {
    return m_encode;

  } // end getEncode

  public String getTemplate()
  {
    return m_template;

  } // end getTemplate

} // end class RewriteRule
